
{ config, lib, pkgs, unstable, ... }:

let
  dn = "mail.tfcconnection.org" ;
in
with lib;
{
  mailserver = {
    enable = true;
    fqdn = dn;
    domains = [ dn ];

    # A list of all login accounts. To create the password hashes, use
    # nix-shell -p mkpasswd --run 'mkpasswd -sm bcrypt'
    loginAccounts = {
      "chris@${dn}" = {
        hashedPassword = "$2b$05$xHEdyWDJPeJMJ1kp2imf/Ozcxe9BuAMvKfejxFM24AQga/cHw80M.";
        aliases = ["postmaster@example.com"];
      };
      "no-reply@${dn}" = {
        hashedPasswordFile = "$2b$05$MjuzjclERF7TF1I/o7cFMONHTb0VBZCk9CNRFzmWxwBUj4558S5tK";
      };
    };

    # Use Let's Encrypt certificates. Note that this needs to set up a stripped
    # down nginx and opens port 80.
    certificateScheme = "acme-nginx";
  };
}
